#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/LDAPSERVER_TLS_PROTOCOL.sh
#
# Copyright (c) 2009-2020  The Eisfair Team, team(at)eisfair(dot)org
#
# Creation:     2009-11-18 jed
# Last Update:  $Id: LDAPSERVER_TLS_PROTOCOL.sh 72521 2020-02-02 14:02:30Z jed $
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win="$p2"

    sellist="none,auto,tls1,ssl3,ssl2"
    ece_select_list_dlg "${win}" "TLS protocol" "${sellist}"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0
